com.singularsys.jep.standard

## Class StandardOperatorTable2

- java.lang.Object
- - com.singularsys.jep.EmptyOperatorTable
  - - com.singularsys.jep.OperatorTable2
    - - com.singularsys.jep.standard.StandardOperatorTable2

- All Implemented Interfaces:
    JepComponent, OperatorTableI, java.io.Serializable
  Direct Known Subclasses:
    BigDecOperatorTable, BitwiseOperatorTable, ExtendedOperatorSet

      public class StandardOperatorTable2
      extends OperatorTable2

  Provides the standard implementations of operators used by Jep. The logic is specified by the superclass `OperatorTable2`.
  Author:
    Richard Morris
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.singularsys.jep.OperatorTable2

      `OperatorTable2.BasicOperators, OperatorTable2.PsudoOperators, OperatorTable2.SpecialOperators`

    - ### Nested classes/interfaces inherited from class com.singularsys.jep.EmptyOperatorTable

      `EmptyOperatorTable.OperatorKey`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StandardOperatorTable2()` Create the standard set of operators.
    `StandardOperatorTable2(OperatorTable2 oldTable)` Decorator constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `setBasicPfmcs()` Sets the standard set of pfmc's for basic operators.
    `protected void` | `setPsudoPfmcs()`
    `protected void` | `setSpecialPfmcs()` Sets the standard set of pfmc's for special operators assignment, dot product, cross product, list operator and the element of operator.

    - ### Methods inherited from class com.singularsys.jep.OperatorTable2

      `getAdd, getAnd, getAssign, getCross, getDivide, getDot, getEle, getEQ, getGE, getGT, getLE, getList, getLT, getMod, getMultiply, getNE, getNop, getNot, getOr, getPower, getRange, getSubtract, getUDivide, getUMinus, getUPlus`

    - ### Methods inherited from class com.singularsys.jep.EmptyOperatorTable

      `addOperator, addOperator, appendOperator, entrySet, getKey, getLightWeightInstance, getNumOps, getOperator, getOperators, getOperatorsByName, getOperatorsBySymbol, init, insertOperator, keySet, removeOperator, removeOperator, replaceOperator, replaceOperator, setBinaryInverseOp, setDistributiveOver, setGroupOperatorRelations, setGroupOperatorRelations, setInverseOp, setPrecedenceTable, setRootOp, setStandardOperatorRelations, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StandardOperatorTable2

          public StandardOperatorTable2()

      Create the standard set of operators. Calls `setBasicPfmcs()`, `setSpecialPfmcs()`, `setPsudoPfmcs()`.

    - #### StandardOperatorTable2

          public StandardOperatorTable2(OperatorTable2 oldTable)

      Decorator constructor. Shares the same set of operators as the argument and calls `setBasicPfmcs()`, `setSpecialPfmcs()`, `setPsudoPfmcs()` to assign new PFMC's to the operators.
      Parameters:
        `oldTable` - base table

  - ### Method Detail

    - #### setBasicPfmcs

          protected void setBasicPfmcs()

      Sets the standard set of pfmc's for basic operators. This method is called by the constructor and subclasses can override this method to change or prevent building of these pfmcs.
      See Also:
        `OperatorTable2.BasicOperators`

    - #### setSpecialPfmcs

          protected void setSpecialPfmcs()

      Sets the standard set of pfmc's for special operators assignment, dot product, cross product, list operator and the element of operator. This method is called by the constructor and subclasses can override this method to change or prevent building of these pfmcs.
      See Also:
        `OperatorTable2.SpecialOperators`

    - #### setPsudoPfmcs

          protected void setPsudoPfmcs()

Copyright © 2018 Singular Systems http://www.singularsys.com/jep